Subject: Re: bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Aug 2023 05:26:15 +0300

> From: Štěpán Němec <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], Noam Postavsky
>  <[email-masked]>
> Date: Sun, 13 Aug 2023 22:34:58 +0200
> 
> So, yes, I agree that end-of-file (which indeed isn't unlikely to occur
> during loading) now ending up in the debugger is an improvement.
> 
> Checking git history, I also see that end-of-file has been in
> debug-ignored-errors since forever, but I still can't rid myself of
> doubts regarding its usefulness there.  Would you have an explanation
> for that, too?  Other than it not fitting with the others (IMHO), its
> absence there would likely save us all this (bug#64163 and the ensuing
> mess).  I find any of the other members of debug-ignored-errors being
> triggered during startup much less likely.  (And, OTOH, why would I want
> to ignore end-of-file during interactive use with d-o-e set?)

It is not ignored, it just doesn't enter the debugger.